------------------------------------------------------------------------------------
--Name:  	juqing5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-04-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(51, 43)
CppScriptMgr:SetViewScale(200)
local Effect_1 = CppScriptMgr:AddEffect("Assassin", 51, 43, 33, 1, 1, 1)
local Player_1 = CppScriptMgr:AddPlayer(432, 51, 43, "VerminQueen", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(200)
CppScriptMgr:WaitMilSec(480)
Player_1:SetAction(101)
CppScriptMgr:NpcCallOut("No one can leave alive.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc4241", 150, 430, "VerminQueen", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("You are fearless.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc4241", 150, 430, "VerminQueen", 250, 655, false)
CppScriptMgr:WaitMilSec(1030)
local Effect_2 = CppScriptMgr:AddEffect("ty_ymz", 51, 43, 33, 1, 1, 1)
local effect_0 = CppScriptMgr:AddEffect("jianta_pohuai", 57, 48, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(960)
CppScriptMgr:ShakeScrEffect(1)
local Player_3 = CppScriptMgr:AddPlayer(274, 55, 47, "", 0, 0)
Player_3:SetDir(7)
Player_3:SetZoomPercent(150)
local Player_4 = CppScriptMgr:AddPlayer(274, 57, 39, "", 0, 0)
Player_4:SetDir(7)
Player_4:SetZoomPercent(150)
local Player_5 = CppScriptMgr:AddPlayer(274, 63, 55, "", 0, 0)
Player_5:SetDir(7)
Player_5:SetZoomPercent(150)
local Player_6 = CppScriptMgr:AddPlayer(274, 65, 47, "", 0, 0)
Player_6:SetDir(7)
Player_6:SetZoomPercent(150)
local Player_7 = CppScriptMgr:AddPlayer(274, 47, 49, "", 0, 0)
Player_7:SetDir(7)
Player_7:SetZoomPercent(150)
local monster_0 = CppScriptMgr:AddPlayer(274, 55, 56, "", 0, 0)
monster_0:SetDir(7)
monster_0:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1710)
Player_1:SetAction(401)
CppScriptMgr:NpcCallOut("Go to tear them up, kids!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc4241", 150, 430, "VerminQueen", 250, 655, false)
CppScriptMgr:WaitMilSec(3740)